GRAMTEST(1L)

NAME
gramtest

SYNOPSIS
gramtest [-c sampleCount] [-d dictionary] [-g grammar]

DESCRIPTION
The gramtest program tests the syntax of grammars in the NICETEXT system. It also can generate sample sentence models from the grammar definition. The purpose of the tool is to assist in writing grammar style-sources.

OPTIONS

-c sampleCount
    Generate sampleCount example sentence models from the grammar. These are sent to stdout.

-d dictionary
    The prefix for the input dictionary database. The default is mstr. The only information loaded from the dictionary is the type-table. The purpose is to check the terminals in the grammar to make sure they are either valid types in the dictionary or punctuation.

-g grammar
    The file name of the grammar definition file. The default is grammar.def.

EXAMPLES
It is strongly suggested that you try the examples in the tutorial directory of the NICETEXT distribution. For further information, please read the documentation in the doc directory.

DIAGNOSTICS
gramtest returns a non-zero value if it detects any errors.

SEE ALSO
bitcp(1L), dct2mstr(1L), expgram(1L), genmodel(1L), impkimmo(1L), impmsc(1L), impwbstr(1L), listword(1L), nicetext(1L), printint(1L), scramble(1L), sortdct(1L), txt2dct(1).